## motion imitation-0.0.4

=== requirements.txt ===
attrs==19.3.0
gym==0.17.1
mpi4py==3.0.3
numpy==1.17.3
pybullet
tensorflow==1.14.0
tensorboard==1.14.0
typing==3.7.4.1
stable-baselines==2.10.0

## motion 3.2.12

=== debian/changelog ===
motion (3.2.12-4) unstable; urgency=medium

  * New maintainer.
  * Update for new libav/ffmpeg API. (Closes: #720814)

 -- Ximin Luo <infinity0@pwned.gg>  Mon, 10 Mar 2014 02:09:03 +0000

motion (3.2.12-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "No longer has support for mysql", step 2:
    make build dependency on libmysqlclient-dev versioned;
    5.5.17-4 is the first upload with complete multi-arch support, as needed
    by dpkg-architecture in debian/rules.
    (Closes: #697221)

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Mar 2013 20:52:43 +0100

motion (3.2.12-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Properly find MySQL in /usr/lib/$(DEB_HOST_MULTIARCH).
    + Build-Depend on dpkg-dev >= 1.16
    + Get DEB_HOST_MULTIARCH from dpkg-architecture.
    + Pass --with-mysql-dir=/usr/lib/$(DEB_HOST_MULTIARCH) to configure.
    Closes: #697221

 -- Evgeni Golov <evgeni@debian.org>  Thu, 03 Jan 2013 12:00:38 +0100

motion (3.2.12-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: update Build-Depends for libjpeg transition
    - libjpeg62-dev->libjpeg-dev (Closes: #643637)
  * Rebuild against current libav version (Closes: #650031)
  * debian/rules:
    - config.status should not depend on configure since it create it.

 -- Bill Allombert <ballombe@debian.org>  Wed, 06 Jun 2012 11:34:23 +0200

motion (3.2.12-3.1) unstable; urgency=low

  * * Non-maintainer upload.
  * Autogenerate autotools files. Build-depend on dh-autoreconf (not
    autoconf-dev).
  * Add patches cherry-picked from upstream VCS and unfuzzed, to fix
    linking against recent libav*.
    Closes: bug#640562. Thanks to Moritz Muehlenhoff and Stephen Kitt.
  * Add patch 02, to autodetect multiarch libavcodec path in autoconf.
    Closes: bug#644006. Thanks to Moritz Muehlenhoff and Stephen Kitt.
  * Create piddir when started (not when installed).
    Closes: bug#631198. Thanks to Ibragimov Rinat.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Feb 2012 23:02:18 +0100

motion (3.2.12-3) unstable; urgency=low

  * Added: libv4l-dev in debian/control.
  * Patch: videodev.h by libv4l1-videodev.h and videodev2.h (new format for 
    kernels > 2.6.38). (Closes: #621962).
  * Bumped Standards-Version to 3.9.2.
  * Fixed: debian-rules-missing-recommended-target in debian/rules.
  * Fixed: motion creates motion gid with 1000 (Closes: #560539).
    Thanks Timo Juhani Lindfors <timo.lindfors@iki.fi>.

 -- Juan Angulo Moreno <juan@apuntale.com>  Tue, 23 Aug 2011 11:01:54 -0430

motion (3.2.12-2) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1
  * Fixed: Depends on unversioned libmysqlclient-dev (Closes: #589011).
    Thanks Angel Abad.
  * Fixed: Wrong implementation of the init-functions (Closes: #580379).
  * Fixed: motion randomly segfaults (Closes: #550689). 

 -- Juan Angulo Moreno <juan@apuntale.com>  Sun, 08 Aug 2010 17:20:01 -0430

motion (3.2.12-1) unstable; urgency=low

  * New upstream version.

 -- Juan Angulo Moreno <juan@apuntale.com>  Tue, 22 Jun 2010 04:42:25 -0430

motion (3.2.11.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed: motion FTBFS with libjpeg8 (Closes: #565325)
  * Fixed: group motion isn't created if user motion alredy exists
    (Closes: #557416). Thanks Jean-Baptiste Lallment.
  * Debconf template translation:
    - Vietnamese: Update. Clytie Siddal. (Closes: #576132)
    _ Italian: New. Vicenzo Campanella.  (Closes: #575094)
  * Fixed: Package seems to use ffmpeg-config. (Closes: #487920)
  * Bumped Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Juan Angulo Moreno <juan@apuntale.com>  Sat, 10 Apr 2010 10:21:49 -0430

motion (3.2.11-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add $remote_fs to Required-{Start|Stop} in init script
    to guarantee that /usr is mounted when needed to start
    and stop the daemon
  * Fix pending l10n issues. Debconf translations:
  * Russian (Yuri Kozlov).  Closes: #538650
  * Vietnamese (Clytie Siddall).  Closes: #312968

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Mar 2010 04:57:55 +0100

motion (3.2.11-2) unstable; urgency=low

  * Fixed: init.d script action reload is wrong (Closes: #535769).
  * Fixed: error 'file_seek' undeclared function. (Closes: #517568).
    Thanks Cyril Brulebois.
  * Fixed: Depends on libavcodec51 which is unavailable (Closes: #519137).
  

 -- Juan Angulo Moreno <juan@apuntale.com>  Mon, 13 Jul 2009 10:39:00 -0430

motion (3.2.11-1) unstable; urgency=low

  * New uptream version.
  * Fixed: "Don't start by default/Allow motion to be disabled"
    Thanks Eddy Petrisor. (Closes: #504245).
  * Removed old patch (because it is include in new upstream).

 -- Juan Angulo Moreno <juan@apuntale.com>  Thu, 22 Jan 2009 14:43:36 -0430

motion (3.2.9-7) unstable; urgency=low

  * Fixed: Can't install without video device present (Closes: #501462).
  * Fixed: Can not install motion package (Closes: #501206).

 -- Juan Angulo Moreno <juan@apuntale.com>  Wed, 08 Oct 2008 08:24:08 -0430

motion (3.2.9-6) unstable; urgency=low

  * Fixed: FTBFS in MIPS. (Closes: #497634). Thanks Angel Carpintero.
  * Added patch for fix V4L2 warning. Thanks Angel Carpintero.
  * Fixed: Initscript errors. (Closes: #489528). Thanks Angel Carpintero.

 -- Juan Angulo Moreno <juan@apuntale.com>  Wed, 17 Sep 2008 06:03:44 -0400

motion (3.2.9-5) unstable; urgency=low

  * Added chgrp in debian/motion.postinst (Closes: #487568). 

 -- Juan Angulo Moreno <juan@apuntale.com>  Sun, 27 Jul 2008 22:01:42 -0430

motion (3.2.9-4) unstable; urgency=low

  * Fixed errors in the file debian/rules that affected the non-apply of 
    two patches (01_ffmpeg_creation_update_API.dpatch and 
    02_webhttpd_security_video2_backport.dpatch) (Closes: #484566).
  * Bumped Standards-Version to 3.8.0. No changes to package necessary.

 -- Juan Angulo Moreno <juan@apuntale.com>  Tue, 10 Jun 2008 09:15:47 -0430

motion (3.2.9-3) unstable; urgency=low



=== debian/control ===
Source: motion
Section: graphics
Priority: optional
Maintainer: Ximin Luo <infinity0@pwned.gg>
HomePage: http://motion.sf.net
Build-Depends: debhelper (>= 6), dpkg-dev (>= 1.16), dh-autoreconf, libjpeg-dev, zlib1g-dev, libavcodec-dev, libavformat-dev, libpq-dev, libmysqlclient-dev (>= 5.5.17-4), libv4l-dev
Standards-Version: 3.9.2

Package: motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf
Recommends: ffmpeg
Suggests: mysql-client, postgresql-client
Description: V4L capture program supporting motion detection
 Motion is a program that monitors the video signal from
 one or more cameras and is able to detect if a significant
 part of the picture has changed. Or in other words, it can
 detect motion.
 .
 Motion is a command line based tool. It has no graphical
 user interface. Everything is setup either via the
 command line or via configuration files.
 .
 The output from motion can be:
    - jpg files
    - ppm format files
    - mpeg video sequences
 .
 Also, motion has its own minimalistic web server. Thus,
 you can access the webcam output from motion via a browser.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g
LDFLAGS = -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	dh_autoreconf
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--prefix=/usr \
		--bindir=\$${prefix}/bin \
		--build=${DEB_BUILD_GNU_TYPE} \
		--host=${DEB_HOST_GNU_TYPE} \
		--datadir=\$${prefix}/share \
		--mandir=\$${datadir}/man \
		--infodir=\$${datadir}/info \
		--sysconfdir=/etc/motion \
		--with-ffmpeg \
		--with-mysql \
		--with-mysql-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-pgsql \
		--without-optimizecpu \
		--without-jpeg-mmx
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/motion.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/motion
	# Offer a minimal default config file.
	cp thread*.conf debian/motion/etc/motion
	cp debian/NEWS debian/motion/usr/share/doc/motion
	# Remove unwanted/misplaced files.
	rm -rf $(CURDIR)/debian/motion/usr/share/doc/motion*
	rm -f $(CURDIR)/debian/motion/etc/motion/motion-dist.conf
	# Fix mode Daemon
	cat $(CURDIR)/motion-dist.conf | sed 's/^daemon on/daemon off/g' > motion.conf
	mv motion.conf $(CURDIR)/debian/motion/etc/motion/motion.conf	
	# Fix path directory for pictures and films
	cat $(CURDIR)/debian/motion/etc/motion/motion.conf | sed 's/target_dir \/usr\/local\/apache2\/htdocs\/cam1/target_dir \/tmp\/motion/g' > motion.conf
	mv motion.conf $(CURDIR)/debian/motion/etc/motion/motion.conf
	# Fix default format encoding
	cat $(CURDIR)/debian/motion/etc/motion/motion.conf | sed 's/^ffmpeg_video_codec mpeg4/ffmpeg_video_codec swf/g' > motion.conf
	mv motion.conf $(CURDIR)/debian/motion/etc/motion/motion.conf
	# Remove dir/files unnecessary
	rm -rf $(CURDIR)/debian/motion/usr/share/motion-3.2.12

# Build architecture-independent files here.
binary-indep: build-stamp install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installinit --init-script=motion \
	                --update-rcd-params='start 60 2 3 4 5 . stop 60 0 1 6 .'
	dh_installman debian/motion.1
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-stamp clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/motion/motion-(.*)\.tar\.gz

## motion 3.2.12+git20140228

=== debian/changelog ===
motion (3.2.12+git20140228-8build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:45:20 +0000

motion (3.2.12+git20140228-8) unstable; urgency=medium

  * Reorganise and refresh patches.
  * Fix build for ffmpeg 2.9. (Closes: #803843)

 -- Ximin Luo <infinity0@debian.org>  Wed, 20 Jan 2016 04:14:25 +0100

motion (3.2.12+git20140228-7) unstable; urgency=medium

  * Block any future buggy builds that don't include ffmpeg.
  * Fix build against newer ffmpeg libraries. (Closes: #795002)
  * Enable pgsql and sdl support.

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 09 Aug 2015 15:20:24 +0200

motion (3.2.12+git20140228-6) unstable; urgency=medium

  * Fix build for kfreebsd-*

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 30 Jul 2015 13:22:01 +0200

motion (3.2.12+git20140228-5) unstable; urgency=medium

  * Updated to latest Standards-Version 3.9.6. No changes needed.
  * Make postinst/postrm scripts simpler.
  * Set system service to log to /var/log/motion/motion.log
  * Change permissions of motion.conf to 644 root:root. (Closes: #750031)
  * Include remote images to avoid privacy leak on reading documentation.

 -- Ximin Luo <infinity0@pwned.gg>  Mon, 20 Jul 2015 01:10:13 +0200

motion (3.2.12+git20140228-4) unstable; urgency=medium

  * Add Vcs-* fields for the new alioth repo.
  * Enable sqlite3 support. (Closes: #742884)

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 30 Mar 2014 20:03:01 +0100

motion (3.2.12+git20140228-3) unstable; urgency=medium

  * Re-add a few things I accidentally dropped from the old packaging:
    - Disable CPU optimizing. (Closes: #742154)
    - Correct the mysql library path.
  * Set the default data path to be /var/lib/motion as per FHS.

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 20 Mar 2014 14:13:08 +0000

motion (3.2.12+git20140228-2) unstable; urgency=medium

  * Fix build for non-x86 platforms.

 -- Ximin Luo <infinity0@pwned.gg>  Fri, 14 Mar 2014 00:56:31 +0000

motion (3.2.12+git20140228-1) unstable; urgency=low

  * New upstream from source control.
  * Updated to latest Standards-Version 3.9.5.
  * Updated to debhelper 9.
  * Updated to support new libav10 API. (Closes: #741444)
  * Some configuration options have changed!!! See
    http://www.lavrsen.dk/foswiki/bin/view/Motion/IntuitiveOptionNamesDiscussion
    for an incomplete and not-completely-accurate overview. Hopefully
    dpkg is able to tell you exactly what changed since your installed
    version. A summary of the most important ones:
      * input 8 -> input -1
      * gap -> event_gap
      * output_normal -> output_pictures
      * ffmpeg_cap_new -> ffmpeg_output_movies
      * jpeg_filename -> picture_filename
      * webcam_* -> stream_*
      * control_* -> webcontrol_*

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 13 Mar 2014 19:28:46 +0000

=== debian/control ===
Source: motion
Section: video
Priority: optional
Maintainer: Ximin Luo <infinity0@debian.org>
Homepage: http://motion.sf.net
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16), dh-autoreconf,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libjpeg-dev,
 libmysqlclient-dev (>= 5.5.17-4),
 libpq-dev,
 libsdl1.2-dev,
 libsqlite3-dev,
 libv4l-dev,
 zlib1g-dev,
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/users/infinity0/motion.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/motion.git

Package: motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: ffmpeg
Suggests: mysql-client, postgresql-client
Description: V4L capture program supporting motion detection
 Motion is a program that monitors the video signal from
 one or more cameras and is able to detect if a significant
 part of the picture has changed. Or in other words, it can
 detect motion.
 .
 Motion is a command line based tool. It has no graphical
 user interface. Everything is setup either via the
 command line or via configuration files.
 .
 The output from motion can be:
    - jpg/ppm image files
    - mpeg/mp4/swf/flv/mov/ogg video sequences
 .
 Also, motion has its own minimalistic web server. Thus,
 you can access the webcam output from motion via a browser.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

LIBDIR_MULTIARCH = /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-ffmpeg=$(LIBDIR_MULTIARCH) \
	  --with-ffmpeg-headers=/usr/include/$(DEB_HOST_MULTIARCH) \
	  --with-mysql-lib=$(LIBDIR_MULTIARCH) \
	  --with-pgsql-lib=$(LIBDIR_MULTIARCH) \
	  --without-optimizecpu
	# stop #795002 from recurring
	grep -q '\-DHAVE_FFMPEG' Makefile

## motion 4.0

=== debian/changelog ===
motion (4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 23 Oct 2016 20:45:48 +0200

motion (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Sep 2016 17:04:37 +0200

motion (3.2.12+git20140228-9) unstable; urgency=medium

  * Remove /var/lib/motion when purging to meet Policy and satisfy piuparts.
    (Closes: #814637)
  * Unconditionally create system directories. This will leave an extra empty
    unused directory /var/lib/motion if the user overrides target_dir, but the
    behavour is simpler to reason about and maintain. (Closes: #812128)
  * Fix bktr detection for newer kFreeBSD systems. Thanks to Steven
    Chamberlain. (Closes: #817757)
  * Add a logrotate script. Default is monthly, users may customise.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Fri, 18 Mar 2016 15:54:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,27 @@
 Section: video
 Priority: optional
 Maintainer: Ximin Luo <infinity0@debian.org>
-Homepage: http://motion.sf.net
+Homepage: https://github.com/Motion-Project/motion
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16), dh-autoreconf,
  libavcodec-dev,
  libavfilter-dev,
  libavformat-dev,
  libjpeg-dev,
- libmysqlclient-dev (>= 5.5.17-4),
+ default-libmysqlclient-dev,
  libpq-dev,
  libsdl1.2-dev,
  libsqlite3-dev,
  libv4l-dev,
  zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/users/infinity0/motion.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/motion.git
 
 Package: motion
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
 Recommends: ffmpeg
-Suggests: mysql-client, postgresql-client
+Suggests: default-mysql-client, postgresql-client
 Description: V4L capture program supporting motion detection
  Motion is a program that monitors the video signal from
  one or more cameras and is able to detect if a significant

## motion 4.1.1

=== debian/changelog ===
motion (4.1.1-1.1build2) disco; urgency=medium

  * No-change rebuild against libmysqlclient21

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 18:08:44 +0000

motion (4.1.1-1.1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:43:31 +0000

motion (4.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix building with ffmpeg 4.0. (Closes: #888328)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 22:47:11 +0200

motion (4.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 May 2018 23:46:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: motion
 Section: video
 Priority: optional
-Maintainer: Ximin Luo <infinity0@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ximin Luo <infinity0@debian.org>
 Homepage: https://github.com/Motion-Project/motion
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16), dh-autoreconf,
  libavcodec-dev,
+ libavdevice-dev,
  libavfilter-dev,
  libavformat-dev,
+ libavutil-dev,
+ libswscale-dev,
  libjpeg-dev,
  default-libmysqlclient-dev,
  libpq-dev,
@@ -15,8 +19,8 @@
  libv4l-dev,
  zlib1g-dev,
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/users/infinity0/motion.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/infinity0/motion.git
+Vcs-Git: https://salsa.debian.org/infinity0/motion.git
+Vcs-Browser: https://salsa.debian.org/infinity0/motion
 
 Package: motion
 Architecture: any
@@ -39,4 +43,3 @@
  .
  Also, motion has its own minimalistic web server. Thus,
  you can access the webcam output from motion via a browser.
-

## motion 4.2.2

=== debian/changelog ===
motion (4.2.2-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 11:25:48 -0300

motion (4.2.2-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:03:04 +0000

motion (4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 24 Mar 2019 20:45:31 -0700

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libswscale-dev,
  libjpeg-dev,
  default-libmysqlclient-dev,
+ libmicrohttpd-dev,
  libpq-dev,
  libsdl1.2-dev,
  libsqlite3-dev,

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

LIBDIR_MULTIARCH = /usr/lib/$(DEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-ffmpeg=$(LIBDIR_MULTIARCH) \
	  --with-mysql-lib=$(LIBDIR_MULTIARCH) \
	  --with-pgsql-lib=$(LIBDIR_MULTIARCH) \
	  --without-optimizecpu
	# stop #795002 from recurring
	grep -q 'HAVE_FFMPEG 1' config.h

override_dh_auto_install:
	dh_auto_install
	cd debian/motion/etc/motion && mv motion-dist.conf motion.conf

## motion 4.3.2

=== debian/changelog ===
motion (4.3.2-1ubuntu0.1) jammy; urgency=medium

  * Create log folder if it does not exist. (LP: #1946521)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 05 Mar 2024 22:01:47 +0000

motion (4.3.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #957559)
  * Update to latest Standards-Version; no changes required.
  * Migrate to systemd instead of initscript. This no longer honours
    /etc/default/motion, so if you had disabled the service previously then you
    should run `systemctl disable motion` after upgrading to this version.

 -- Ximin Luo <infinity0@debian.org>  Sun, 15 Nov 2020 20:19:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ximin Luo <infinity0@debian.org>
 Homepage: https://github.com/Motion-Project/motion
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16), dh-autoreconf,
+Build-Depends: debhelper (>= 13),
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.16),
  libavcodec-dev,
  libavdevice-dev,
  libavfilter-dev,
@@ -19,7 +21,7 @@
  libsqlite3-dev,
  libv4l-dev,
  zlib1g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/infinity0/motion.git
 Vcs-Browser: https://salsa.debian.org/infinity0/motion

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%motion-$1.tar.gz%" \
 https://github.com/Motion-Project/motion/tags \
 (?:.*?/)?(?:release-)?(\d[\d.]*)\.tar\.gz

## motion 4.5.1

=== debian/changelog ===
motion (4.5.1-3) unstable; urgency=medium

  * d/control: remove libsdl1.2-dev and add pkg-config (Closes: #1038509)

 -- Nicolas Mora <babelouest@debian.org>  Mon, 19 Jun 2023 07:36:00 -0400

motion (4.5.1-2) unstable; urgency=medium

  * d/tests: verify the presence of motion program
  * d/control: Update homepage
  * d/NEWS: Update NEWS file for bookworm upgrade

 -- Nicolas Mora <babelouest@debian.org>  Thu, 09 Feb 2023 07:38:31 -0500

motion (4.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1004629)
  * New maintainer (Closes: #1030103)
  * d/patches: Update change-paths_set-debian-paths.patch
  * d/control: remove lsb-base from package dependencies
  * d/changelog: remove trailing spaces
  * d/control: Update Standards-Version to 4.6.2: no changes required
  * d/control: Add Rules-Requires-Root: no
  * d/motion.postrm: remove user motion on purge
  * d/upstream/metadata: add upstream metadata info
  * d/tests: add autopkgtests
  * d/control: Update VCS url to https://salsa.debian.org/debian/motion
  * d/gitlab-ci.yml: add salsa CI script
  * d/copyright: Update year to 2023 and add myself as debian/* author

 -- Nicolas Mora <babelouest@debian.org>  Fri, 03 Feb 2023 07:34:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: motion
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ximin Luo <infinity0@debian.org>
-Homepage: https://github.com/Motion-Project/motion
+Maintainer: Nicolas Mora <babelouest@debian.org>
+Homepage: https://motion-project.github.io/
 Build-Depends: debhelper (>= 13),
  debhelper-compat (= 13),
  dpkg-dev (>= 1.16),
@@ -17,17 +16,18 @@
  default-libmysqlclient-dev,
  libmicrohttpd-dev,
  libpq-dev,
- libsdl1.2-dev,
  libsqlite3-dev,
  libv4l-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/infinity0/motion.git
-Vcs-Browser: https://salsa.debian.org/infinity0/motion
+ pkg-config
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/motion.git
+Vcs-Browser: https://salsa.debian.org/debian/motion
+Rules-Requires-Root: no
 
 Package: motion
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Recommends: ffmpeg
 Suggests: default-mysql-client, postgresql-client
 Description: V4L capture program supporting motion detection

## motion 4.6.0

=== debian/changelog ===
motion (4.6.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:52 +1100

motion (4.6.0-1ubuntu1) noble; urgency=medium

  * Create log folder if it does not exist. (LP: #1946521)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 25 Mar 2024 14:12:38 +0000

motion (4.6.0-1build1) noble; urgency=high

  * No change rebuild against libmicrohttpd12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:41:57 +0100

motion (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <babelouest@debian.org>  Sun, 12 Nov 2023 14:18:32 -0500

motion (4.5.1-4) unstable; urgency=medium

  * Cleanup built files after packaging (Closes: #1045182)
  * Add romanian debconf translation (Closes: #1032801)

 -- Nicolas Mora <babelouest@debian.org>  Sat, 09 Sep 2023 09:30:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: motion
 Section: video
 Priority: optional
-Maintainer: Nicolas Mora <babelouest@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
 Homepage: https://motion-project.github.io/
 Build-Depends: debhelper (>= 13),
  debhelper-compat (= 13),

## motion 4.7.0

=== debian/changelog ===
motion (4.7.0-3) unstable; urgency=medium

  [Carles Pina i Estany]
  * Add debconf template translation for Catalan (Closes: #1101650)

  [Nicolas Mora]
  * d/control: Update standards version to 4.7.2

 -- Nicolas Mora <babelouest@debian.org>  Sun, 30 Mar 2025 10:32:58 -0400

motion (4.7.0-2) unstable; urgency=medium

  [Sudip Mukherjee]
  * Create log folder if it does not exist. (Closes: #849712)

  [Nicolas Mora]
  * d/copyright: Update copyright from upstream source

 -- Nicolas Mora <babelouest@debian.org>  Mon, 16 Sep 2024 09:15:00 -0400

motion (4.7.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Update standards version to 4.7.0
  * d/control: Use builddep pkgconf instead of pkg-config

 -- Nicolas Mora <babelouest@debian.org>  Tue, 27 Aug 2024 07:30:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: motion
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Mora <babelouest@debian.org>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Homepage: https://motion-project.github.io/
 Build-Depends: debhelper (>= 13),
  debhelper-compat (= 13),
@@ -20,8 +19,8 @@
  libsqlite3-dev,
  libv4l-dev,
  zlib1g-dev,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/motion.git
 Vcs-Browser: https://salsa.debian.org/debian/motion
 Rules-Requires-Root: no

## motion 4.7.1

=== debian/changelog ===
motion (4.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1115031)
  * d/control: Remove Rules-Requires-Root: no
  * d/watch: Upgrade watch file to format 5.0

 -- Nicolas Mora <babelouest@debian.org>  Sun, 14 Sep 2025 10:33:12 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/motion.git
 Vcs-Browser: https://salsa.debian.org/debian/motion
-Rules-Requires-Root: no
 
 Package: motion
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	cd debian/motion/etc/motion && mv motion-dist.conf motion.conf
+
+override_dh_auto_clean:
+	rm -f po/*.gmo po/motion.pot po/stamp-po
+	dh_auto_clean --

=== debian/watch ===
Version: 5
Template: Github
Owner: Motion-Project
Project: motion

## motion imitation-0.0.6

=== requirements.txt ===
attrs==19.3.0
gym==0.17.1
mpi4py==3.0.3
numpy==1.17.3
pybullet>=3.0.6
tensorflow==1.15.4
tensorboard==1.15.0
typing==3.7.4.1
stable-baselines==2.10.0
tqdm
numba
quadprog
inputs
